
declare @eid as varchar(100)
declare @uid as varchar(100)
select @eid=eid , @uid=uid from seg_usuario where id=1

if not exists(select * from gui_funcionalidad where active=1 and  id_tipofuncionalidad=5and id_funcionalidad in(
select id from gui_funcionalidad where active=1 and id_tipofuncionalidad=3 and url like '%doc%' 
)and nombrecomando='asociar')
begin
INSERT INTO [gui_funcionalidad]
([uid]
,[eid]
,[id_usuario_modifico]
,[id_usuario_creo]
,[fechaModificacion]
,[fechaCreacion]
,[active]
,[funcionalidad]
,[funcionalidad_codigo]
,[urlImagen]
,[urlFormulario]
,[targetUrl]
,[url]
,[toolTip]
,[esMenu]
,[nombreControl]
,[nombreComando]
,[orden]
,[id_funcionalidad]
,[id_tipoFuncionalidad])
select @uid,@eid,1,1,getdate(),getdate()
,1,'Asociar','','','','','','','',''
,'asociar',1,id,5 from gui_funcionalidad where active=1 and id_tipofuncionalidad=3 and url like '%doc%' 
end